<div  align="center" style="height:40px;">
	<br />
	<hr>
	<input type="hidden" id="hdnbc27pasi_id_bc271_hdr" value="<?php echo  $id_bc_in_hdr; ?>" />
	<input type="hidden" id="hdnbc27pasi_doc_in_from_id" value="<?php echo  $doc_in_from_id; ?>" />
	<button id="btnproses_pasibc27_masuk">Proses BC27 PASI In</button>
	<button id="btnproses_pasibc27_keluar">Proses BC27 PASI Out</button><br /><br />
	<button id="btnproses_pasibc27_inout">Proses BC27 PASI In - Out Langsung</button>
</div>
<script type="text/javascript">
    
    $(document).ready(function(){
		var form_data = {
			id_bc_in_hdr:$("#hdnbc27pasi_id_bc271_hdr").val(),
			doc_in_from_id:$("#hdnbc27pasi_doc_in_from_id").val(),
		};
		
		
		$("#btnproses_pasibc27_inout").button().click(function(){
			$("#dlg_prosesdata_in_out_pasi_bc27proses").dialog( "destroy" );
			$(".dlg_prosesdata_in_out_pasi_bc27proses_cl").remove();
			$(".dlg_prosesdata_in_out_pasi_bc27proses_cl").html('');
			$("body").append('<div id="dlg_prosesdata_in_out_pasi_bc27proses" title="Warning" class="dlg_prosesdata_in_out_pasi_bc27proses_cl"><p>Perhatian!! Data akan langsung APPROVED! Apakah anda yakin akan mengirim data bc271 ini menjadi data inventory incoming dengan nomor bc271 ..??</p><br />Mohon diperiksa kembali datanya.</div>');
			$("#dlg_prosesdata_in_out_pasi_bc27proses").dialog({
				height: 200,
				width: 250,
				modal: true,
				hide: 'Slide',
				autoOpen: 'false',
				buttons: {
					"CONFIRM": function() {
					$.ajax({
						url : "<?php echo base_url().'exim/ct_bc271/prosesdatabc27pasi_in_out'; ?>",
						type : 'POST',
						dataType: 'json',
						data : form_data,
						success: function(msg){
							if (msg.sts == '00'){
								alert(msg.desc);
								$("#dlg_prosesdata_in_out_pasi_bc27proses").dialog("close");
								$('#dlg_prosesdata_in_out_pasi_bc27proses').dialog("destroy"); 
								$(".dlg_prosesdata_in_out_pasi_bc27proses_cl").remove(); 
								$(".dlg_prosesdata_in_out_pasi_bc27proses_cl").html('');
								$("body").append('<div id="dlg_prosesdata_in_out_pasi_bc27proses" title="Warning" class="dlg_prosesdata_in_out_pasi_bc27proses_cl"></div>');
								$('#tblbc271hdr').trigger('reloadGrid');
							} else { 
								alert(msg.sts+msg.desc); 
								$("#dlg_prosesdata_in_out_pasi_bc27proses").dialog("close");
								$('#dlg_prosesdata_in_out_pasi_bc27proses').dialog("destroy"); 
								$(".dlg_prosesdata_in_out_pasi_bc27proses_cl").remove(); 
								$(".dlg_prosesdata_in_out_pasi_bc27proses_cl").html('');
								
							}
						}
					});
				},
					"CANCEL": function() {
						$( "#dlg_prosesdata_in_out_pasi_bc27proses" ).dialog( "close" );

					}
				},
				close : function(){
					$('#dlg_prosesdata_in_out_pasi_bc27proses').dialog("destroy"); 
					$(".dlg_prosesdata_in_out_pasi_bc27proses_cl").remove(); 
					$("body").append('<div id="dlg_prosesdata_in_out_pasi_bc27proses" title="Warning" class="dlg_prosesdata_in_out_pasi_bc27proses_cl"><p>Perhatian!! Data akan langsung APPROVED! Apakah anda yakin akan mengirim data bc271 ini menjadi data inventory incoming dengan nomor bc271 ..??</p><br />Mohon diperiksa kembali datanya.</div>');     
					
				},
				open: function(){
					$("body").unblock();
					
				}
			});	
		
		
		});
		
		
		
		$("#btnproses_pasibc27_masuk").button().click(function(){
			
			$("#dlg_prosesdata_in_pasi_bc27proses").dialog( "destroy" );
			$(".dlg_prosesdata_in_pasi_bc27proses_cl").remove();
			$(".dlg_prosesdata_in_pasi_bc27proses_cl").html('');
			$("body").append('<div id="dlg_prosesdata_in_pasi_bc27proses" title="Warning" class="dlg_prosesdata_in_pasi_bc27proses_cl"><p>Perhatian!! Data akan langsung APPROVED! Apakah anda yakin akan mengirim data bc271 ini menjadi data inventory incoming dengan nomor bc271 ..??</p><br />Mohon diperiksa kembali datanya.</div>');
			$("#dlg_prosesdata_in_pasi_bc27proses").dialog({
				height: 200,
				width: 250,
				modal: true,
				hide: 'Slide',
				autoOpen: 'false',
				buttons: {
					"CONFIRM": function() {
					$.ajax({
						url : "<?php echo base_url().'exim/ct_bc271/prosesdatabc27pasi_in'; ?>",
						type : 'POST',
						dataType: 'json',
						data : form_data,
						success: function(msg){
							if (msg.sts == '00'){
								alert(msg.desc);
								$("#dlg_prosesdata_in_pasi_bc27proses").dialog("close");
								$('#dlg_prosesdata_in_pasi_bc27proses').dialog("destroy"); 
								$(".dlg_prosesdata_in_pasi_bc27proses_cl").remove(); 
								$(".dlg_prosesdata_in_pasi_bc27proses_cl").html('');
								$("body").append('<div id="dlg_prosesdata_in_pasi_bc27proses" title="Warning" class="dlg_prosesdata_in_pasi_bc27proses_cl"></div>');
								$('#tblbc271hdr').trigger('reloadGrid');
							} else { 
								alert(msg.sts+msg.desc); 
								$("#dlg_prosesdata_in_pasi_bc27proses").dialog("close");
								$('#dlg_prosesdata_in_pasi_bc27proses').dialog("destroy"); 
								$(".dlg_prosesdata_in_pasi_bc27proses_cl").remove(); 
								$(".dlg_prosesdata_in_pasi_bc27proses_cl").html('');
								
							}
						}
					});
				},
					"CANCEL": function() {
						$( "#dlg_prosesdata_in_pasi_bc27proses" ).dialog( "close" );

					}
				},
				close : function(){
					$('#dlg_prosesdata_in_pasi_bc27proses').dialog("destroy"); 
					$(".dlg_prosesdata_in_pasi_bc27proses_cl").remove(); 
					$("body").append('<div id="dlg_prosesdata_in_pasi_bc27proses" title="Warning" class="dlg_prosesdata_in_pasi_bc27proses_cl"><p>Perhatian!! Data akan langsung APPROVED! Apakah anda yakin akan mengirim data bc271 ini menjadi data inventory incoming dengan nomor bc271 ..??</p><br />Mohon diperiksa kembali datanya.</div>');     
					
				},
				open: function(){
					$("body").unblock();
					
				}
			});	
			
		});	
		
		
		
		$("#btnproses_pasibc27_keluar").button().click(function(){
			$("#dlg_prosesdata_out_pasi_bc27proses").dialog( "destroy" );
			$(".dlg_prosesdata_out_pasi_bc27proses_cl").remove();
			$(".dlg_prosesdata_out_pasi_bc27proses_cl").html('');
			$("body").append('<div id="dlg_prosesdata_out_pasi_bc27proses" title="Warning" class="dlg_prosesdata_out_pasi_bc27proses_cl"><p>Perhatian!! Data akan langsung APPROVED Keluar! Apakah anda yakin akan mengirim data bc271 ini menjadi data inventory ke produksi ..??</p><br />Mohon diperiksa kembali datanya.</div>');
			$("#dlg_prosesdata_out_pasi_bc27proses").dialog({
				height: 200,
				width: 250,
				modal: true,
				hide: 'Slide',
				autoOpen: 'false',
				buttons: {
					"CONFIRM": function() {
					$.ajax({
						url : "<?php echo base_url().'exim/ct_bc271/prosesdatabc27pasi_out'; ?>",
						type : 'POST',
						dataType: 'json',
						data : form_data,
						success: function(msg){
							if (msg.sts == '00'){
								alert(msg.desc);
								$("#dlg_prosesdata_out_pasi_bc27proses").dialog("close");
								$('#dlg_prosesdata_out_pasi_bc27proses').dialog("destroy"); 
								$(".dlg_prosesdata_out_pasi_bc27proses_cl").remove(); 
								$(".dlg_prosesdata_out_pasi_bc27proses_cl").html('');
								$("body").append('<div id="dlg_prosesdata_out_pasi_bc27proses" title="Warning" class="dlg_prosesdata_out_pasi_bc27proses_cl"></div>');
								$('#tblbc271hdr').trigger('reloadGrid');
							} else { 
								alert(msg.sts+msg.desc); 
								$("#dlg_prosesdata_out_pasi_bc27proses").dialog("close");
								$('#dlg_prosesdata_out_pasi_bc27proses').dialog("destroy"); 
								$(".dlg_prosesdata_out_pasi_bc27proses_cl").remove(); 
								$(".dlg_prosesdata_out_pasi_bc27proses_cl").html('');
								
							}
						}
					});
				},
					"CANCEL": function() {
						$( "#dlg_prosesdata_out_pasi_bc27proses" ).dialog( "close" );

					}
				},
				close : function(){
					$('#dlg_prosesdata_out_pasi_bc27proses').dialog("destroy"); 
					$(".dlg_prosesdata_out_pasi_bc27proses_cl").remove(); 
					$("body").append('<div id="dlg_prosesdata_out_pasi_bc27proses" title="Warning" class="dlg_prosesdata_out_pasi_bc27proses_cl"><p>Perhatian!! Data akan langsung APPROVED Keluar! Apakah anda yakin akan mengirim data bc271 ini menjadi data inventory ke produksi ..??</p>Mohon diperiksa kembali datanya.</div>');     
					
				},
				open: function(){
					$("body").unblock();
					
				}
			});	
		
		});	

	});
		  	
</script>



	
	